Bug 202910 - [patch] print/texlive-base remove unused freetype1 dependancy
Summary: [patch] print/texlive-base remove unused freetype1 dependancy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-09-05 17:03 UTC by Koop Mast
Modified: 2015-09-09 07:56 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (hrs)


Attachments
remove freetype1 dependency. (1.09 KB, patch)
2015-09-05 17:03 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2015-09-05 17:03:13 UTC
Created attachment 160745 [details]
remove freetype1 dependency.

texlive-base mentions freetype1 as a dependency but the configure script only mentions freetype2. So I think we can remove it.
Comment 1 commit-hook freebsd_committer 2015-09-07 23:37:19 UTC
A commit references this bug:

Author: hrs
Date: Mon Sep  7 23:36:55 UTC 2015
New revision: 396349
URL: https://svnweb.freebsd.org/changeset/ports/396349

Log:
  - Split xpdfopen package from texlive-base.  This is because it is the only
    package depending on X11 library in it.

  - Remove unnecessary libttf.so dependency [*].

  PR:	202910 [*]

Changes:
  head/Mk/bsd.tex.mk
  head/UPDATING
  head/print/Makefile
  head/print/texlive-base/Makefile
  head/print/texlive-base/pkg-plist
  head/print/xpdfopen/
  head/print/xpdfopen/Makefile
  head/print/xpdfopen/distinfo
  head/print/xpdfopen/pkg-descr
Comment 2 Hiroki Sato freebsd_committer 2015-09-09 07:56:35 UTC
Fixed.  Thank you for pointing out it!